Vai al contenuto

GP

Members
  • Portfolio

    Portfolio
  • Numero messaggi

    334
  • Registrato

  • Ultima Visita

1 che ti segue

Info su GP

  • Rango
    Treddiano

Ospiti che hanno visualizzato il profilo

3287 lo hanno visualizzato
  1. Nel titolo parli di automatismo, con che criterio dovrebbero essere scelti i punti da unire? Cosa vuol dire?
  2. Questo vuol proprio dire che hai qualcosa di lontanissimo dal tuo modello. Dopo che hai fatto uno Zoom Estensioni digita SELEZ e poi T (tutto), l'evidenziazione ti farà capire dove sono posizionati questi oggetti. 🙂
  3. Il dwg contiene oggetti proxy creati con altre applicazioni (nanoCAD), dopo che l'hai aperto crea un nuovo dwg con -EXPORTTOAUTOCAD, tali oggetti vengono trasformati in blocchi. Comunque questo potrebbe anche non essere il problema della vastità del modello, accendi tutti i layer e fai uno Zoom Estensioni per verificare che non ci sia qualche oggetto oltre la luna… Anche blocchi relativamente vicini allo 0,0 ma con punto d'inserimento lontanissimo potrebbero dare problemi.
  4. ROTATE3D non è un comando AutoCAD, ma una funzione contenuta, tra le altre, in GEOM3D.ARX Per questo motivo se la richiami dalla riga di comando funziona, in quanto viene caricata la funzione, che poi "gira" anche al successivo lancio del lisp. Per ovviare puoi inserire questa stringa nella seconda riga di codice: (or rotate3d (arxload "geom3d")) 😎
  5. Dopo che hai salvato il codice sopra con nome r3x.LSP puoi impostare la macro di menu in base a dove posizioni il file: se posizioni il file in una cartella letta dal percorso di AutoCAD (Opzioni\File\Percorso di ricerca dei file di supporto) ^C^C(load "r3x") r3x se posizioni il file in una cartella qualunque, ad es. D:\pippo ^C^C(load "D:/pippo/r3x") r3x se aggiungi il file al gruppo di avvio (Appload -> Contenuto) ^C^Cr3x nota: nel caricamento l'estensione del file (LSP) può essere omessa.
  6. Questa macro dovrebbe funzionare ^C^C^P(rotate3d (ssget) "x" (getpoint "Specificare un punto sull'asse X") 90) ^P Avresti però problemi con gli undo, come macro del pulsante ti consiglio di richiamare un lisp tipo questo: (defun c:r3x ( / sel ) (vl-load-com) (vla-startundomark (vla-get-activedocument (vlax-get-acad-object))) (if (and (princ "\nSELEZIONARE GLI OGGETTI DA RUOTARE") (setq sel (ssget)) ) (rotate3d sel "x" (getpoint "Specificare un punto sull'asse X") 90) ) (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))) (princ) )
  7. GP

    Tutto A Quota 0,0,0

    Sicura di avere l'UCS impostato su Globale?
  8. GP

    Tutto A Quota 0,0,0

    Per usare FLATTEN devi avere gli Express Tools installati http://gabrielecongiu.blogspot.com/2013/04/gli-express-tools-in-autocad-2014.html#!/2013/04/gli-express-tools-in-autocad-2014.html Altrimenti puoi utilizzare la macro citata da arri nel post prima del tuo
  9. GP

    spessore punti autocad

    Non hai letto bene quello che ti è stato suggerito, sarà perché in questa discussione ci sono solo cani... Il punto deve avere un colore al quale sia stato assegnato un pennino con spessore, nel ctb. Nell'immagine allegata vedi la schermata di AutoCAD con tre punti di colore diverso che vengono stampati con spessore diverso.
  10. GP

    spessore punti autocad

    Tristan, gli serve per la stampa, può assegnare un colore che abbia un pennino con spessore di linea adeguato.
  11. E' incredibile che per mappare una superficie facciano usare sta ciofeca di gizmo, basterebbe chiedere l'immissione di 3 punti, l'origine e le direzioni x e y. Tant'è... prima di usare il gizmo togli l'osnap. Anche isolare l'oggetto da mappare facilita le operazioni.
  12. Mi introduco solo per segnalare che si può scegliere il motore di render settando la variabile RENDERENGINE 0 Mental Ray 1 RapidRT RapidRT è una scheggia e, secondo me, non ha niente da invidiare a MR, però mi capita di fare solo esterni.
  13. Se cambi il nome del retino devi cambiarlo anche all'interno del file, aprilo con Blocco Note e modifica la prima riga: *PIETRA FACCIATA 1,pietra wall
  14. Allega un dwg con qualche linea che non si taglia.
×